gpt4 book ai didi

ios - 平台 "ios"似乎不是有效的 cordova 平台

转载 作者:可可西里 更新时间:2023-11-01 05:42:54 25 4
gpt4 key购买 nike

我在 cordova@7.1.0、cordova-ios@4.5.2 下运行。安装平台:ios 4.5.2。

我运行 npm install、bower install,然后运行 ​​cordova prepare ios,我收到以下错误:无法从平台加载 PlatformApi。错误:找不到模块“unorm”错误:未处理的“错误”事件。 (平台“ios”似乎不是有效的 cordova 平台。它缺少 API.js。ios 不受支持。)

解决方法是cordova平台rm ios和cordova平台add ios。但是每次我从 git checkout 我的项目时我都必须这样做......

你对解决这个问题有什么建议吗?

非常感谢!

最佳答案

您不应将 platforms(和 plugins)文件夹放入源代码管理中。在重新结帐后重新安装平台是预期的行为。

platforms 文件夹中的文件是动态创建的,这就是它们不应该在源代码管理中的原因。

关于ios - 平台 "ios"似乎不是有效的 cordova 平台,我们在Stack Overflow上找到一个类似的问题: https://stackoverflow.com/questions/47016334/

25 4 0
Copyright 2021 - 2024 cfsdn All Rights Reserved 蜀ICP备2022000587号
广告合作:1813099741@qq.com 6ren.com